Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc.PEP.Type

class slepc4py.SLEPc.PEP.Type

  Bases: `object`

  PEP type.

  - `TOAR`: Two-level orthogonal Arnoldi.

  - `STOAR`: Symmetric TOAR.

  - `QARNOLDI`: Q-Arnoldi for quadratic problems.

  - `LINEAR`: Linearization via EPS.

  - `JD`: Polynomial Jacobi-Davidson.

  - `CISS`: Contour integral spectrum slice.

  See also

  `PEPType`

  Attributes Summary

  `CISS` | Object `CISS` of type `str`
  `JD` | Object `JD` of type `str`
  `LINEAR` | Object `LINEAR` of type `str`
  `QARNOLDI` | Object `QARNOLDI` of type `str`
  `STOAR` | Object `STOAR` of type `str`
  `TOAR` | Object `TOAR` of type `str`

  Attributes Documentation

  CISS: str = CISS

    Object `CISS` of type `str`

  JD: str = JD

    Object `JD` of type `str`

  LINEAR: str = LINEAR

    Object `LINEAR` of type `str`

  QARNOLDI: str = QARNOLDI

    Object `QARNOLDI` of type `str`

  STOAR: str = STOAR

    Object `STOAR` of type `str`

  TOAR: str = TOAR

    Object `TOAR` of type `str`